/* Tano Fotang */
/* Mon Feb 23 02:36:31 MET 1998 */

#ifndef __nicks_H_
#define __nicks_H_

typedef int Nickcount ;
typedef struct TNicks {
		char *  nick;
		struct TNicks *left, *right;
	} Nicks; /* a nick list */
typedef struct TNickList{
	char	*label;	/* list name */
	Nicks	*start, *current;
}NickList;/* list of nicks*/
extern int load_nicks(const char *fname);
extern Nicks *add_nick_to_list(Nickcount i, const char *nick);
extern Nickcount new_nicklist(const char *label);
extern Nickcount get_list_bylabel(const char *);
extern int rename_nick_list(Nickcount);
/*extern char *cirulate_nick(int i);*/
#define empty_nicklist(i)    (((aNickList+(i))->start)==((aNickList+(i))->start->left) )
NickList *aNickList;
Nickcount iNickListCount;

#define NICK_QUEUE_LEN	16	/* max # of nicks in a queue */

#endif

